FUSEFATFS(1)

NAME
fusefatfs, vufusefatfs - mount FAT file systems using FUSE and vufuse

SYNOPSIS
fusefatfs [-hVdfs] [-o options ] disk_image mountpoint

in a umvu session:

mount -t vufusefatfs [-o options ] disk_image mountpoint

DESCRIPTION
fusefatfs mounts the file tree contained in disk_image on the directory mountpoint. It supports FAT12, FAT16, FAT32 and exFAT formats.

vufusefatfs is the VUOS/vufuse submodule of fusefatfs

OPTIONS
fusefatfs is build upon FUSE (Filesystem in Userspace) library. the complete set of available options depends upon the specific FUSE installed. Execute fusefatfs -h to retrieve the actual complete list.

  general options

-o opt,[opt...]
    FUSE and file specific mount options.
    -h display a usage and options summary -V --version display version

  fusefatfs specific options

-o ro
    mount the file system in read-only mode.
    -o rw mount the file system in read-write mode only if also -o force is present. Read-write mounting can potentially manage the file system structure so an extra option is required to test the awareness fo the user. -o force confirm the request of read-write access. -o rw+ mount the file system in read-write mode, a shortcut of -o rw,force.

  main FUSE mount options
These options are not valid in VUOS/vufuse.

-d   -o debug
    enable debug output (implies -f)
    -f foreground operation -s disable multi-threaded operation

SEE ALSO
fuse(8), umvu(1)

CREDITS
fusefatfs is based on the FAT file system module for embedded systems fatfs developed by ChaN: http://elm-chan.org.

AUTHOR
VirtualSquare. Project leader: Renzo Davoli.